%define oname   rdiscount

Name:       ruby-%{oname}
Version:    2.2.7.3
Release:    %mkrel 4
Summary:    Fast Implementation of Gruber's Markdown in C
Group:      Development/Ruby
License:    BSD
URL:        https://github.com/rtomayko/rdiscount
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     rdiscount-2.1.6-file-list.patch
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
Fast implementation of Gruber's Markdown in C.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:	noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext

%files
%doc README.markdown
%{_bindir}/rdiscount
%{gem_extdir_mri}
%{gem_instdir}/
%exclude %{gem_docdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.2.7.3-4.mga10
+ Revision: 2235380
- Mageia 10 Mass Rebuild

* Sun Feb 02 2025 pterjan <pterjan> 2.2.7.3-3.mga10
+ Revision: 2144456
- Rebuild for Ruby 3.4

* Wed Dec 04 2024 pterjan <pterjan> 2.2.7.3-2.mga10
+ Revision: 2121575
- Rebuild for Ruby 3.3

* Mon Apr 08 2024 pterjan <pterjan> 2.2.7.3-1.mga10
+ Revision: 2055453
- Update to 2.2.7.3

* Tue May 03 2022 pterjan <pterjan> 2.2.0.2-1.mga9
+ Revision: 1855727
- Update to 2.2.0.2

* Fri Mar 25 2022 umeabot <umeabot> 2.2.0.1-7.mga9
+ Revision: 1827169
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 2.2.0.1-6.mga9
+ Revision: 1784609
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 2.2.0.1-5.mga8
+ Revision: 1553174
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 2.2.0.1-4.mga8
+ Revision: 1516654
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 2.2.0.1-3.mga7
+ Revision: 1300897
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 2.2.0.1-2.mga7
+ Revision: 1188704
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 2.2.0.1-1.mga7
+ Revision: 1142179
- Update to 2.2.0.1

* Mon Aug 14 2017 pterjan <pterjan> 2.1.8-2.mga7
+ Revision: 1140330
- Rebuild for new Ruby

* Thu Feb 11 2016 pterjan <pterjan> 2.1.8-1.mga6
+ Revision: 955878
- Update to 2.1.8

* Wed Dec 02 2015 spuhler <spuhler> 2.1.6-7.mga6
+ Revision: 907687
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 2.1.6-6.mga5
+ Revision: 745391
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.6-5.mga5
+ Revision: 688926
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.1.6-4.mga4
+ Revision: 562425
- Fix gem macros

* Sun Dec 22 2013 pterjan <pterjan> 2.1.6-3.mga4
+ Revision: 560025
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 2.1.6-2.mga4
+ Revision: 538743
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 2.1.6-1.mga4
+ Revision: 490281
- update file list
- fix gemspec file list
- new version 2.1.6
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.6.8-4.mga3
+ Revision: 396373
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.6.8-3.mga3
+ Revision: 381347
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.6.8-2.mga3
+ Revision: 312071
- rebuild for new ruby

* Thu Jun 07 2012 shlomif <shlomif> 1.6.8-1.mga3
+ Revision: 256903
- Correct a typo
+ solbu <solbu>
- New version
- Spec cleanup

* Mon Feb 07 2011 shikamaru <shikamaru> 1.3.1.1-2.mga1
+ Revision: 48518
- imported package ruby-rdiscount


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.3.1.1-2mdv2011.0
- Initial package

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.1.1-2mdv2011.0
+ Revision: 614766
- the mass rebuild of 2010.1 packages

* Tue Feb 02 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.1.1-1mdv2010.1
+ Revision: 499432
- add missing buildrequires on ruby-devel
- fix license
- import ruby-rdiscount


* Mon Feb  1 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.1.1-1
- initial release
